For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get tenant paymentmethod details

Get paymentmethod details.

get
/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantPaymentMethodUidstringRequired

Reference to a tenant PaymentMethodUid.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Return a list of all paymentMethods in FlowRetail

application/json
activebooleanRequired
namestringRequired

The name will be displayed in the clients and on the receipt

descriptionstringRequired

A description of the payment method, shown in the client

receiptTextstring · max: 500Required

Text printed on the receipt when this payment method is used. Empty when not configured.

settlementCodestringRequired
allowRefundbooleanRequired

if true, paymentMethod can be used when settling a refund.

tenantPaymentMethodUidstringRequiredPattern: ^[A-Za-z0-9-_]+
allowSalebooleanRequired

if true, paymentMethod can be used when settling a sale.

allowPrepaymentbooleanRequired

if true, paymentMethod can be used when settling a sale.

allowCashbackbooleanRequired

if true, settlement amount can be higher than remainingAmount when settling a sale.

positionintegerRequired

order of appearance in lists

visibilitystring · enumRequiredPossible values:
amountInputstring · enumRequiredPossible values:
useRoundingbooleanRequired
get/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}
GET /v2/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Return a list of all paymentMethods in FlowRetail

{
  "active": true,
  "name": "text",
  "description": "text",
  "receiptText": "text",
  "settlementCode": "text",
  "paymentMethod": {
    "allowRefund": true,
    "allowSale": true,
    "allowAmount": true,
    "allowCashback": true,
    "allowPrepayment": true,
    "requireExclusiveUse": true,
    "name": "text",
    "parameters": [
      {
        "key": "text",
        "keyType": "TEXT",
        "name": "text",
        "required": true
      }
    ],
    "paymentCode": "CASH"
  },
  "allowRefund": true,
  "tenantPaymentMethodUid": "text",
  "allowSale": true,
  "allowPrepayment": true,
  "allowCashback": true,
  "parameters": [
    {
      "name": "text",
      "description": "text",
      "required": true,
      "key": "text",
      "type": "TEXT",
      "regex": "text"
    }
  ],
  "externalSystemMappings": [
    {
      "systemCode": "OMNIUM",
      "externalId": "text",
      "tenantPaymentMethodMappingUid": "text"
    }
  ],
  "position": 1,
  "visibility": "FEATURED",
  "requirements": {
    "requireCustomer": true,
    "requireCustomerMobile": true,
    "requireCustomerEmail": true,
    "requireCustomerType": "ANY",
    "requireCustomerContact": true,
    "requireExclusiveUse": true,
    "requireRefundToSameMethod": true
  },
  "amountInput": "NONE",
  "useRounding": true
}

Last updated

Was this helpful?